Merging the components of a finite mixture using posterior probabilities
=======================================================================

This repository contains the scripts used to reproduce figures and numbers appearing in the article:

Comas-Cufí, M., Martín-Fernández, J.A and Mateu-Figueras, G. (2017). _Merging the components of a finite mixture using posterior probabilities_. Statistical Modelling (in process: revise and resubmit).

* Scripts to generate figures are included in `figures` directory.
* The overlapping simulation is contained in `oe_example` directory. The repository contains a subsample of the original results. To generate the original results it is necessary to run file `Makefile-overllaping_example`:

```
make -f Makefile-overlapping example
```
Remember that you need to install the R packages listed below (other attached packages). To facilitate the installation process a [`packrat`](https://rstudio.github.io/packrat/) snapshot is included  in this repository which is automatically installed when `R` is open in `smj.mcfmpp` directory.

```
R version 3.3.2 (2016-10-31)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows >= 8 x64 (build 9200)

locale:
[1] LC_COLLATE=English_United States.1252  LC_CTYPE=English_United States.1252   
[3] LC_MONETARY=English_United States.1252 LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
 [1] mixtools_1.0.4        zCompositions_1.0.3-1 truncnorm_1.0-7       NADA_1.5-6           
 [5] survival_2.39-5       Rmixmod_2.1.1         Rcpp_0.12.9           latex2exp_0.4.0      
 [9] ggtern_2.2.0          tidyr_0.6.1           compositions_1.40-1   bayesm_3.0-2         
[13] energy_1.7-0          robustbase_0.92-7     tensorA_0.36          fpc_2.1-10           
[17] mixpack_0.3.6         mclust_5.2.2          dplyr_0.5.0           MixSim_1.1-2         
[21] MASS_7.3-45           ggplot2_2.2.1        

loaded via a namespace (and not attached):
 [1] modeltools_0.2-21 kernlab_0.9-25    splines_3.3.2     lattice_0.20-34   colorspace_1.3-2 
 [6] htmltools_0.3.5   stats4_3.3.2      DBI_0.5-1         prabclus_2.2-6    segmented_0.5-1.4
[11] plyr_1.8.4        stringr_1.1.0     munsell_0.4.3     gtable_0.2.0      mvtnorm_1.0-5    
[16] evaluate_0.10     labeling_0.3      knitr_1.15.1      flexmix_2.3-13    class_7.3-14     
[21] DEoptimR_1.0-8    trimcluster_0.1-2 proto_1.0.0       scales_0.4.1      backports_1.0.5  
[26] diptest_0.75-7    gridExtra_2.2.1   packrat_0.4.8-1   digest_0.6.12     stringi_1.1.2    
[31] grid_3.3.2        rprojroot_1.2     tools_3.3.2       magrittr_1.5      lazyeval_0.2.0   
[36] tibble_1.2        cluster_2.0.5     Matrix_1.2-7.1    assertthat_0.1    rmarkdown_1.3    
[41] R6_2.2.0          boot_1.3-18       nnet_7.3-12      
```
